### Name: twoway.entropy
### Title: Bivariate Informationtheoretic Measures
### Aliases: twoway.entropy print.twoway.entropy plot.twoway.entropy
### Keywords: multivariate

### ** Examples

 # Exercise 8.6 from MacKay
 p <- 1/matrix(c(8,16,16,4,16,8,16,Inf,32,32,16,Inf,32,32,16,Inf), 4)
 twoway.entropy(p)
 twoway.entropy(p, grain="Cells")
 str(twoway.entropy(p, grain="Cells"))
 plot(twoway.entropy(p), main="Plot from MacKay (2003), chapter 8.1")

 # Highly correlated data
 x <- rnorm(100)
 y <- x + rnorm(100, sd=0.1)
 a <- round(x)
 b <- round(y)
 p <- table(a, b)
 plot(twoway.entropy(p), main=paste("correlation=", round(cor(x,y), 2)))



